Subject: Re: The Plan

From: Val Henson <[email-masked]>
Date: Wed, 7 Nov 2001 13:41:25 -0700

On Wed, Nov 07, 2001 at 12:47:33PM +0100, Geert Uytterhoeven wrote:
>
> On Wed, 7 Nov 2001, Paul Mackerras wrote:
> > - Files which relate only to one platform, or a small number of
> >   platforms, move to arch/ppc/platforms.  (There are some minor
> >   exceptions to this rule which we can discuss if people are
> >   concerned.)  We end up with:
>
> Why not move platform-specific files to arch/ppc/<platform>/ instead?
>
> Your solution reduces the clutter only by a factor of 2, while creating
> platform-specific directories reduces it by a factor of n.

I agree with Geert.  I don't think that dividing the clutter into two
directories instead of one really improves matters.  Each directory is
still monstrously huge and the division is non-obvious.
arch/ppc/masochist would be easier to understand. :)

What is the problem we're trying to solve here?

-VAL

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/